# Method: properties.insert

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/insert#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/insert#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/insert#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/insert#try-it)

Adds a property to a file, or updates it if it already exists.

### HTTP request

`POST https://www.googleapis.com/drive/v2/files/{fileId}/properties`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `fileId` | `string` The ID of the file. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/properties#Property`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/properties#Property`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/docs`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.appdata`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.metadata`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).